import { GdsElement } from '../../gds-element';
/**
 * `gds-badge`
 *
 * @element gds-badge
 * @status beta
 *
 */
export declare class GdsBadge extends GdsElement {
    static styles: (import("lit").CSSResult | import("lit").CSSResult[])[];
    /**
     * Controls the variant of the badge.
     * Supports all valid variants like information, notice, success, warning, error.
     * @property variant
     */
    variant?: string;
    render(): import("lit-html").TemplateResult;
}
